Home / Lua API Manual / darktable / darktable.new_widget
< darktable.new_storage
darktable.password >

# darktable.new_widget

    function(
      type : string,
      ... : variable
    ) : types.lua_widget

Creates a new widget object to display in the UI.

- type - string - The type of storage object to create, one of:

  - box
  - button
  - check_button
  - combobox
  - container
  - entry
  - file_chooser_button
  - label
  - section_label
  - separator
  - slider
  - stack
  - text_view

- … - variable - Extra parameters, exact value are documented with each type

- return - types.lua_widget - The newly created object. Exact type depends on the type passed

< darktable.new_storage
darktable.password >